/*
 Persistence of Vision Ray Tracer Texture Description File
 Filename    : pv_guzzi.inc
 Version     : 3
 Author      : Panagiotis Vossos
 E-mail      : pvossos@otenet.gr
 Date        : 27/02/98

 As long as you make NO money using any of this stuff here,you can
 do whatever you want with it.All I am asking is to let me know.
 If you want to use this stuff in a commercial way , then you should
 contact me FIRST.Thanks.
*/


#declare T_Grip = texture {
         pigment { color rgb <0.5,0.3,0.3> }
         finish {
                ambient 0.2
                diffuse 0.3
                specular 0.2
                roughness 0.05
                }
                       }
#declare T_Italia = texture {
                pigment { gradient x
                          color_map { [0.0 color rgb <0,1,0>]
                                      [1/3  color rgb <0,1,0>]
                                      [1/3  color rgb <1,1,1>]
                                      [2/3  color rgb <1,1,1>]
                                      [2/3  color rgb <1,0,0>]
                                      [1.0  color rgb <1,0,0>] }
                                      }
//                normal { hexagon 0.4 scale 1/15}
                finish { ambient 0.15
                         //diffuse 0.5
                         //reflection 0.7
                          }
                 scale 20
                 translate x*-17.05
                       }

#declare T_Leather = texture {
         pigment { color rgb <0.34,0.17,0.18> }
         normal { crackle 1 }
         finish {
                ambient 0.2
                diffuse 0.3
                specular 0.2
                roughness 0.05
                reflection 0.08
                }
         scale 0.43
                       }

#declare T_Dunlop = texture {
         pigment { color rgb 0.3 }
         finish { phong 0.1
                  phong_size 25
                  roughness 0.2  }
         normal { wood
                  slope_map { [0.0 <0,0>]
                              [0.5 <0,0>]
                              [0.5 <1,0>]
                              [1.0 <1,0>] }
                  frequency 0.95
                  scale <0.035,0.035,0.3>
                  rotate x*90 }
                    }

#declare T_Aktines = texture {
         pigment { color rgb 0.25 }
         finish  { ambient 0.25
                   diffuse 0.5
                   brilliance 0.45
                   crand 0.01
                   phong 0.9
                   phong_size 150
                   metallic
                   }
           }

#declare T_ZantesStuff = texture {
    pigment { color rgb 0.85 }
    normal { granite scale 4 }
    finish {
        reflection 0.25
        ambient 0.2
        diffuse 0.4
        brilliance 0.50
        crand 0.05
        phong 0.6
        phong_size 200
        metallic
           }
      }

#declare zxr = texture { pigment { color rgb <1,1,0> } }
/*
#declare T_Guzzi_Logo = texture {
                      pigment { image_map {
                               gif "guzzi.gif"
                               map_type 0
                               filter 215,1.0
                               interpolate 2
                               once }
                     rotate x*90
                     scale 0.14*<1,1,11/23>
                     translate <0.15,0,-0.68>
                     }      }
*/
#declare T_Number_1 = texture {
                      pigment { image_map {
                               gif "number1.gif"
                               map_type 0
                               filter 13,1.0
                               interpolate 2
                               once }
                     rotate x*90
                     scale 0.3
                     translate <-0.175,0,-0.9>
                               }
                     finish { ambient 0.4 }
                         }
#declare T_Fairing_Main = texture {
         pigment { color rgb <63,3,5>/63 }
         finish {
                ambient 0.2
                diffuse 0.35
                brilliance 2
                specular 0.5
                roughness 0.05
                reflection 0.08
                crand 0.02
                }
          normal { granite scale 7.2 }
                       }

#declare T_Fairing_Down = texture { T_Fairing_Main }
                          //texture { T_Guzzi_Logo }
                          texture { T_Number_1 }

#declare T_Fairing   = texture { gradient z
            texture_map { [0.00 T_Glass2]
                          [0.50 T_Glass2]
                          [0.50 T_Glass2]
                          [0.50 T_Fairing_Down ]
                          [0.50 T_Fairing_Down ]
                          [1.00 T_Fairing_Down ] }
                          scale 6
                          translate z*3.8
                          }

#declare T_Aluminium = texture {
    pigment { color rgb <0.713,0.713,0.775> }
    normal { bumps 0.1
             turbulence 0.88
             scale <30.000, 1.000, 30.000>
             }
    finish { reflection 0.050
             ambient 0.2
             brilliance 5.5
             specular 0.8
             roughness 0.100
             }
    scale 0.01
    }

#declare Temp_Tex = texture {
   pigment {
     color rgb<0.578, 0.675, 0.430>
   }
   finish {
     diffuse 0.500
     ambient 0.200
     specular 0.400
     roughness 0.0100
   }

}



//  $MRY$: 'Texture01'
#declare Texture01 = texture {
   pigment {
     color rgb<1.000, 1.000, 0.000>
   }
   finish {
     diffuse 0.500
     ambient 0.200
     specular 0.400
     roughness 0.0100
   }

}


/*
//  $MRY$: 'Glass1'
#declare Glass1 = texture {
   pigment {
     color rgbf<1.000, 1.000, 1.000, 0.700>
   }
   finish {
     diffuse 0.000
     ambient 0.000
     reflection 0.100
     refraction 1
     ior 1.500
     specular 1.000
     roughness 0.0010
   }

}

*/

//  $MRY$: 'normal_checker'
#declare normal_checker = texture {
   pigment {
     checker
       color rgb<0.000, 0.000, 0.000>
       color rgb<1.000, 1.000, 0.662>
   }
   finish {
     diffuse 0.500
     ambient 0.200
     specular 0.400
     roughness 0.0100
   }

}


#declare Silver2 = texture {
   pigment {
     color rgb<0.940, 0.930, 0.830>
   }
   finish {
     diffuse 0.650
     ambient 0.250
     phong 1.000
     phong_size 100.000
     reflection 0.450
     brilliance 6.000
   }

}


#declare T_Chassis = texture {
   pigment { color rgb 0.2 }
   finish {
     diffuse 0.500
     ambient 0.300
     reflection 0.1
     phong 1
     phong_size 100
     brilliance 2
     metallic
          }
}

#declare Gold_Metal = texture {
   pigment { color rgb<0.850, 0.850, 0.100> }
   finish {
     diffuse 0.500
     ambient 0.300
     phong 0.750
     phong_size 80.000
     reflection 0.250
     brilliance 6.000
   }

}

/* the end */
